# vim: set ft=spec: -*- rpm-spec -*-

Name: ruby-gettext
Version: 1.92.0
Release: alt0.M41.1

Summary: Native Language Support Library for Ruby
Group: Development/Ruby
License: LGPL
Url: http://rubyforge.org/projects/gettext/

Packager: Ruby Maintainers Team <ruby@packages.altlinux.org>

BuildArch: noarch

BuildRequires(pre): rpm-build-ruby
# Automatically added by buildreq on Sun Jan 13 2008 (-bi)
BuildRequires: libruby-devel ruby ruby-module-cgi ruby-module-erb ruby-module-etc ruby-module-iconv ruby-module-optparse ruby-module-racc-runtime ruby-module-stringio ruby-module-strscan ruby-racc ruby-tool-irb

Source: %name-package-%version.tar
Patch: %name-%version-%release.patch

%description
Ruby GetText Package is Native Language Support Library and Tools 
which modeled after GNU gettext package.

Features:
 * Simple APIs(similar GNU gettext)
 * rgettext creates po-files from ruby scripts.
   The po-file is compatible to GNU gettext.
 * rmsgfmt creates a mo-file from a po-file.

%package utils
Summary: GetText utils
Group: Development/Ruby

%description utils
GetText utils

%package rails
Summary: GetText for Ruby on Rails
Group: Development/Ruby

%description rails
GetText for Ruby on Rails

%package cgi
Summary: GetText for CGI
Group: Development/Ruby

%description cgi
GetText for CGI

%package erb
Summary: GetText for eRuby
Group: Development/Ruby

%description erb
GetText for eRuby

%package doc
Summary: Documentation files for %name
Group: Documentation

%description doc
Documentation files for %name

%prep
%setup -n %name-package-%version
%patch -p1 

%build
%ruby_config
%ruby_build

%install
%ruby_install
%rdoc lib/

%find_lang rails rgettext

%files
%ruby_sitelibdir/*
%exclude %ruby_sitelibdir/gettext/active_record.rb
%exclude %ruby_sitelibdir/gettext/cgi.rb
%exclude %ruby_sitelibdir/gettext/erb.rb
%exclude %ruby_sitelibdir/gettext/parser
%exclude %ruby_sitelibdir/gettext/poparser.rb
%exclude %ruby_sitelibdir/gettext/rails.rb
%exclude %ruby_sitelibdir/gettext/rails_compat.rb
%exclude %ruby_sitelibdir/gettext/rgettext.rb
%exclude %ruby_sitelibdir/gettext/rmsgfmt.rb
%exclude %ruby_sitelibdir/gettext/rmsgmerge.rb
%exclude %ruby_sitelibdir/gettext/utils.rb
%exclude %ruby_sitelibdir/locale/cgi.rb
%doc README ChangeLog 

%files -f rgettext.lang utils
%_bindir/rgettext
%_bindir/rmsgfmt
%_bindir/rmsgmerge
%ruby_sitelibdir/gettext/parser
%ruby_sitelibdir/gettext/poparser.rb
%ruby_sitelibdir/gettext/rgettext.rb
%ruby_sitelibdir/gettext/rmsgfmt.rb
%ruby_sitelibdir/gettext/rmsgmerge.rb
%ruby_sitelibdir/gettext/utils.rb

%files rails -f rails.lang
%ruby_sitelibdir/gettext/active_record.rb
%ruby_sitelibdir/gettext/rails.rb
%ruby_sitelibdir/gettext/rails_compat.rb

%files cgi
%ruby_sitelibdir/gettext/cgi.rb
%ruby_sitelibdir/locale/cgi.rb

%files erb
%ruby_sitelibdir/gettext/erb.rb

%files doc
%doc samples
%ruby_ri_sitedir/GetText*

%changelog
* Sun Aug 31 2008 Sir Raorn <raorn@altlinux.ru> 1.92.0-alt0.M41.1
- Built for 4.1/branch (1.92.0-alt2)
- [1.92.0]

* Mon Mar 31 2008 Sir Raorn <raorn@altlinux.ru> 1.90.0-alt1
- [1.90.0]
- Package made noarch

* Wed Jan 23 2008 Sir Raorn <raorn@altlinux.ru> 1.10.0-alt3
- Added doc subpackage

* Sun Jan 13 2008 Sir Raorn <raorn@altlinux.ru> 1.10.0-alt2
- Split package to pieces:
 + ruby-gettext - common modules
 + utils - development utilites
 + rails - Ruby on Rails gettext support
 + cgi - CGI gettext support
 + erb - eRuby gettext support
- Removed obsolete be rmsgfmt translation
- Removed 'gettext/iconv', use 'iconv' module
- Removed win32 support

* Wed Aug 22 2007 Pavlov Konstantin <thresh@altlinux.ru> 1.10.0-alt1
- 1.10.0 source tree.

* Tue May 08 2007 Pavlov Konstantin <thresh@altlinux.ru> 1.9.0-alt1
- 1.9.0.

* Fri Apr 21 2006 Vital Khilko <vk@altlinux.ru> 1.4.0-alt1
- 1.4.0

* Tue Nov 15 2005 Vital Khilko <vk@altlinux.ru> 1.0.0-alt1
- 1.0.0

* Thu Sep 08 2005 Vital Khilko <vk@altlinux.ru> 0.6.1-alt2
- fixed locale dir

* Tue Sep 28 2004 Vital Khilko <vk@altlinux.ru> 0.5.3-alt3
- fixed locale.rb for new global variable RUBY_PLATFORM

* Mon Sep 27 2004 Vital Khilko <vk@altlinux.ru> 0.5.3-alt2
- rebuilded with new ruby

* Wed Mar 31 2004 Vital Khilko <vk@altlinux.ru> 0.5.3-alt1
- initial build for altlinux sisyphus.
- added belarusian translation
